Bug 203279 - Konqueror (KHTML engine) does not wrap wide lines at hyphens
Summary: Konqueror (KHTML engine) does not wrap wide lines at hyphens
Status: REOPENED
Alias: None
Product: konqueror
Classification: Unclassified
Component: khtml (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Konqueror Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-08-10 10:01 UTC by Diego
Modified: 2012-07-27 13:49 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Arora rendering the page correctly. (136.04 KB, image/png)
2009-08-10 10:02 UTC, Diego
Details
Konqueror rendering the page wrongly. (140.81 KB, image/png)
2009-08-10 10:05 UTC, Diego
Details
Konqueror 4.6.5 rendering the page correctly. (242.67 KB, image/png)
2011-07-15 20:11 UTC, Diego
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Diego 2009-08-10 10:01:51 UTC
Version:           4.3.00 (KDE 4.3.0) (using 4.3.00 (KDE 4.3.0), Arch Linux)
Compiler:          gcc
OS:                Linux (i686) release 2.6.30-ARCH

Contrary to Arora and Firefox, Konqueror doesn't wrap long lines in this page:
https://admin.fedoraproject.org/updates/kdebase

You can see the difference in the screenshots.
Comment 1 Diego 2009-08-10 10:02:53 UTC
Created attachment 36030 [details]
Arora rendering the page correctly.
Comment 2 Diego 2009-08-10 10:05:23 UTC
Created attachment 36031 [details]
Konqueror rendering the page wrongly.
Comment 3 FiNeX 2009-08-10 14:52:12 UTC
Bug confirmed in trunk too.
Comment 4 Diego 2010-09-19 14:14:00 UTC
It works in Konqueror+Webkit 4.5.1 but not in Konqueror+KHTML 4.5.1.
Comment 5 Diego 2011-04-24 17:17:34 UTC
Still applies to Konqueror 4.6.2
Comment 6 Diego 2011-07-14 19:50:28 UTC
Wow, works with Konqueror 4.6.5!
Could it be because of the impressive work by Gérard Talbot on CSS?
http://www.asinen.org/2011/07/got-a-printer-help-test-konqueror/
Comment 7 Gérard Talbot (no longer involved) 2011-07-14 22:30:56 UTC
I have a testcase for this bug (assuming I understand it correctly):

http://www.gtalbot.org/BrowserBugsSection/Konqueror4Bugs/hyphen-line-wrapping.html

In other browsers (Firefox 5.0.1, Opera 11.50, Chrome 12.0.742.124, etc.) and when viewed in a 1024 wide by 768 tall scr. res., there will be word-wrapping at hyphens to avoid making the table too wide for viewport width. But not in Konqueror 4.6.5 with KHTML rendering engine.

I believe this is not a CSS bug nor a CSS 2.1 bug.

Diego, I am not sure why you are saying this works or is fixed in Konqueror 4.6.5 with KHTML rendering engine.

regards, Gérard
Comment 8 Diego 2011-07-15 20:11:52 UTC
Created attachment 61903 [details]
Konqueror 4.6.5 rendering the page correctly.
Comment 9 Diego 2011-07-15 20:15:03 UTC
(In reply to comment #7)
> Diego, I am not sure why you are saying this works or is fixed in Konqueror
> 4.6.5 with KHTML rendering engine.

Oh, you're right I had WebKit set by default.
So this bug is still present in 4.6.5, sorry for the noise.
Comment 10 Gérard Talbot (no longer involved) 2011-08-05 02:09:43 UTC
Diego,

Would it be possible for you to update the bug summary text so that it would better describe the problem. Something like 

"Konqueror (KHTML engine) does not wrap wide lines at hyphens"

In my opinion, the bug summary should have the words "lines", "wrap" and "hyphens".

"website rendering problem" is actually is way too broad, unspecific, not descriptive, not helpful. This hurts searchability of bug report, searching for duplicates.

I am sure this behavior is not a CSS bug nor a HTML4 bug. But it may be a compatibility issue with other browsers' behavior.

For your information, Konqueror 4.7.0 (KHTML engine) supports HTML 4.01 soft hyphen (­) which indicates where an optional word break may occur.

regards, Gérard
Comment 11 Stevan White 2012-07-27 13:49:27 UTC
It also should, but does not, break at 
    "zero-width break" U+200B,
    "hyphen" U+2010,
It should also break at
    "zero-width non-joiner" U+200C --
see for example
   http://en.wikipedia.org/wiki/Zero-width_space